public interface HttpResponseOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getBody()
public abstract ByteString getBody()The HTTP 1.1 response body.
bytes body = 4;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The body. |
getContentLength()
public abstract long getContentLength()Content length records the length of the associated content. The value -1 indicates that the length is unknown. Unless http method is "HEAD", values >= 0 indicate that the given number of bytes may be read from Body.
int64 content_length = 6;
| Returns | |
|---|---|
| Type | Description |
long |
The contentLength. |
getHeaders(int index)
public abstract Header getHeaders(int index)The HTTP response headers.
repeated .google.cloud.apigeeconnect.v1.Header headers = 5;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
Header |
|
getHeadersCount()
public abstract int getHeadersCount()The HTTP response headers.
repeated .google.cloud.apigeeconnect.v1.Header headers = 5;
| Returns | |
|---|---|
| Type | Description |
int |
|
getHeadersList()
public abstract List<Header> getHeadersList()The HTTP response headers.
repeated .google.cloud.apigeeconnect.v1.Header headers = 5;
| Returns | |
|---|---|
| Type | Description |
List<Header> |
|
getHeadersOrBuilder(int index)
public abstract HeaderOrBuilder getHeadersOrBuilder(int index)The HTTP response headers.
repeated .google.cloud.apigeeconnect.v1.Header headers = 5;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
HeaderOrBuilder |
|
getHeadersOrBuilderList()
public abstract List<? extends HeaderOrBuilder> getHeadersOrBuilderList()The HTTP response headers.
repeated .google.cloud.apigeeconnect.v1.Header headers = 5;
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.cloud.apigeeconnect.v1.HeaderOrBuilder> |
|
getId()
public abstract String getId()A unique identifier that matches the request ID.
string id = 1;
| Returns | |
|---|---|
| Type | Description |
String |
The id. |
getIdBytes()
public abstract ByteString getIdBytes()A unique identifier that matches the request ID.
string id = 1;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for id. |
getStatus()
public abstract String getStatus()Status of http response, e.g. "200 OK".
string status = 2;
| Returns | |
|---|---|
| Type | Description |
String |
The status. |
getStatusBytes()
public abstract ByteString getStatusBytes()Status of http response, e.g. "200 OK".
string status = 2;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for status. |
getStatusCode()
public abstract int getStatusCode()Status code of http response, e.g. 200.
int32 status_code = 3;
| Returns | |
|---|---|
| Type | Description |
int |
The statusCode. |